# vim: set sw=4 ts=4 et nu:

Name:               ocp
Version:            0.1.21
%define ocprel      0.1.20
Release:            2.3
Summary:            Open Cubic Player
Source:             http://prdownloads.sourceforge.net/opencubicplayer/ocp-%{version}.tar.bz2
Patch1:             ocp-remove_build_timestamps.patch
URL:                http://stian.cubic.org/project-ocp.php
Group:              Productivity/Multimedia/Sound/Editors and Convertors
License:            GNU General Public License version 2 or later (GPL v2 or later)
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      ncurses-devel
BuildRequires:      alsa-devel
BuildRequires:      SDL-devel
BuildRequires:      libogg-devel
BuildRequires:      libvorbis-devel
#BuildRequires:      sidplay-libs-devel
#BuildRequires:      libbinio-devel
BuildRequires:      flac-devel
BuildRequires:      xorg-x11-devel
%if %{?_with_mad:1}
BuildRequires:      libmad-devel
%endif
BuildRequires:      gcc gcc-c++ make glibc-devel pkgconfig
BuildRequires:      autoconf automake libtool
BuildRequires:      desktop-file-utils
BuildRequires:      update-desktop-files
BuildRequires:      hicolor-icon-theme
PreReq:             %install_info_prereq
Provides:           opencubicplayer = %{version}
Provides:           open-cubic-player = %{version}
Provides:           cubicplayer = %{version}
Obsoletes:          cubicplayer < %{version}
Provides:           cubic-player = %{version}
Obsoletes:          cubic-player < %{version}

%description
Open Cubic Player is a music player which can play a wide variety of music
formats. Currently it can play so called modules (MOD, XM, S3M, IT), MIDI,
MP1-3, SID tunes, and CD audio. It supports many soundcards (SB, GUS, EWS, WSS,
PAS, and many more). It features many different display modes for "looking"
(text and graphics) at the music.

%prep
%setup -q
%patch1

%build
%configure \
    --with-x11 \
    --without-adplug \
%if %{?_with_mad:1}
    --with-mad \
%else
    --without-mad \
%endif
    --without-sidplay \
    --with-alsa \
    --with-lzw \
    --without-lzh \
    --with-flac \
    --with-sdl

%__make %{?_smp_flags}

%install
%makeinstall

%__mv "%{buildroot}%{_datadir}/applications/cubic.org-opencubicplayer.desktop" \
      "%{buildroot}%{_datadir}/applications/%{name}.desktop"

%suse_update_desktop_file -r "%{name}" AudioVideo AudioVideoEditing

%__install -d _rpmdoc
%__mv "%{buildroot}%{_datadir}/doc/ocp-%{ocprel}/html" _rpmdoc/html

%__rm -rf "%{buildroot}%{_datadir}/doc"

%post
%install_info --info-dir="%{_infodir}" "%{_infodir}/%{name}".info*

%postun
%install_info_delete --info-dir="%{_infodir}" "%{_infodir}/%{name}".info*

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc AUTHORS BUGS Changelog COPYING CREDITS
%doc KEYBOARD_REMAPS SUID TODO
%doc X11-keymap crashreport.txt
%doc _rpmdoc/html
%{_bindir}/ocp
%{_bindir}/ocp-%{ocprel}
%{_bindir}/ocp-curses
%{_bindir}/ultrafix.sh
%dir %{_libdir}/ocp-%{ocprel}
%dir %{_libdir}/ocp-%{ocprel}/autoload
%{_libdir}/ocp-%{ocprel}/autoload/*.so
%{_libdir}/ocp-%{ocprel}/devpalsa.so
%{_libdir}/ocp-%{ocprel}/devpdisk.so
%{_libdir}/ocp-%{ocprel}/devpnone.so
%{_libdir}/ocp-%{ocprel}/devpsdl.so
%{_libdir}/ocp-%{ocprel}/devposs.so
%{_libdir}/ocp-%{ocprel}/devsnone.so
%{_libdir}/ocp-%{ocprel}/devsoss.so
%{_libdir}/ocp-%{ocprel}/devwmix.so
%{_libdir}/ocp-%{ocprel}/devwmixf.so
%{_libdir}/ocp-%{ocprel}/devwnone.so
%{_libdir}/ocp-%{ocprel}/libocp.so
%{_libdir}/ocp-%{ocprel}/load669.so
%{_libdir}/ocp-%{ocprel}/loadams.so
%{_libdir}/ocp-%{ocprel}/loaddmf.so
%{_libdir}/ocp-%{ocprel}/loadmdl.so
%{_libdir}/ocp-%{ocprel}/loadmtm.so
%{_libdir}/ocp-%{ocprel}/loadokt.so
%{_libdir}/ocp-%{ocprel}/loadptm.so
%{_libdir}/ocp-%{ocprel}/loads3m.so
%{_libdir}/ocp-%{ocprel}/loadult.so
%{_libdir}/ocp-%{ocprel}/medialib.so
%{_libdir}/ocp-%{ocprel}/playay.so
%{_libdir}/ocp-%{ocprel}/playcda.so
%{_libdir}/ocp-%{ocprel}/playflac.so
%{_libdir}/ocp-%{ocprel}/playgmd.so
%{_libdir}/ocp-%{ocprel}/playgmi.so
%{_libdir}/ocp-%{ocprel}/playit.so
%{_libdir}/ocp-%{ocprel}/playmp2.so
%{_libdir}/ocp-%{ocprel}/playogg.so
%{_libdir}/ocp-%{ocprel}/playwav.so
%{_libdir}/ocp-%{ocprel}/playxm.so
%{_libdir}/ocp-%{ocprel}/playym.so
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/*/*/apps/opencubicplayer.*
%{_infodir}/ocp.info%{ext_info}
%{_datadir}/ocp-%{ocprel}
%{_bindir}/ocp-sdl
%{_bindir}/ocp-x11
%{_bindir}/ocp-vcsa

%changelog
* Sun Nov  6 2011 pascal.bleser@opensuse.org
- initial version (0.1.21)
